org.springframework.cloud.dataflow.server.db.migration

## Class DataFlowSchemaMigrationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.cloud.dataflow.server.db.migration.DataFlowSchemaMigrationException

- All Implemented Interfaces:
    Serializable

      public class DataFlowSchemaMigrationException
      extends RuntimeException

  Exception is thrown when an error occurs while migrating the dataflow schema.
  Author:
    Glenn Renfro
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataFlowSchemaMigrationException(String message)` Exception will use the message specified.
    `DataFlowSchemaMigrationException(String message, Throwable throwable)` Exception will use the message specified.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataFlowSchemaMigrationException

          public DataFlowSchemaMigrationException(String message,
                                                  Throwable throwable)

      Exception will use the message specified.
      Parameters:
        `message` - the text that will be associated with the exception.
        `throwable` - the exception that is being wrapped.

    - #### DataFlowSchemaMigrationException

          public DataFlowSchemaMigrationException(String message)

      Exception will use the message specified.
      Parameters:
        `message` - the text that will be associated with the exception.

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.